<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];	
$id_bodega = $_SESSION['ss_bodega'];	
$usuario = $_SESSION['usuario'];
?>
<?php
include("../conex.php");
$cant = "1";
$flag=0;
?>
<?php
include("../conex.php");
include("../css/mascara_fecha.js");
if ($fecha=='') $fecha = date(d)."/".date(m)."/".date(Y);
if ($donde_c=='')$donde_c=1;
?>
<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>

<form id="form1" name="form1" method="post" action="venta2.php?cont=<? if ($cont<23) {$cont+=1; echo "$cont";} else {echo "$cont";}?>">
<table width="640" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#000000">
	<tr bgcolor="#000000"> 
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Cant.</font></strong></div></td>
		<td width="5%"><div align="center"></div></td>
		<td width="20%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">C&oacute;digo</font></strong></div></td>
		<td width="42%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Detalle</font></strong></div></td>
		<td width="9%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Precio</font></strong></div></td>
		<td width="14%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Total $</font></strong></div></td>
    </tr>
<? 
while ($cant<=$cont)
	{
	?>
	
	<tr> 
		<td width="10%"><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="auxsaldo[<?=$cant;?>]" type="text" id="auxsaldo[<?=$cant;?>]" value="9999999999" style="visibility:hidden; width:1px; height:1px; font-size:1px"/>
			<input name="cantidad[<? echo "$cant";?>]" id="cantidad[<? echo "$cant";?>]" type="text" style="width:90%" onKeyPress="return validanum2(event,'<? echo "$cant";?>')" value="<? echo "$cantidad[$cant]";?>" onblur="calculo('<? echo "$cant";?>');">
		</font></strong></div></td>
		  
		<td width="5%" align="center"><a onClick="JavaScript:PopWindow('<? echo "$cant";?>')">
			  <IMG align="top" border="0" src="Images/modificar.gif" style="cursor:pointer" title="Presione aqui para buscar producto" width="16" height="16"></a></td>
			  
		<td width="20%"><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="codigo[<? echo "$cant";?>]" id="codigo[<? echo "$cant";?>]" type="text" size="17" value="<? echo "$codigo[$cant]";?>" onblur="busc_prod('<? echo "$cant";?>');" onkeypress="fun_carga(event,'<? echo "$cant";?>');">
			</font></strong></div></td>
			
	  <td width="42%"><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="detalle[<? echo"$cant";?>]" id="detalle[<? echo"$cant";?>]" type="text" value="<? echo "$detalle[$cant]";?>" readonly="1" style="font-size:14px;width:100%">
		</font></strong></div></td>
		
		<td width="9%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="precio[<? echo"$cant";?>]" onKeyPress="return validanum2(event,'<? echo "$cant";?>')" onblur="calculo('<? echo "$cant";?>');" id="precio[<? echo"$cant";?>]" type="text" value="<? echo "$precio[$cant]";?>" style="text-align:right;width:100%">
		</font></strong></div></td>
		
		<td width="14%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="total[<? echo"$cant";?>]" id="total[<? echo"$cant";?>]" type="text" readonly="1" size="9" value="<? echo "$total[$cant]";?>" style="text-align:right;width:100%">
			</font></strong></div></td>
    </tr>
	<? 
	$cant=$cant+1;
	}
	?>
</table>

<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="5%">&nbsp;</td>
		
		<td width="30%" align="right"><?
			$sql_umed ="SELECT id , nombres AS descripcion FROM vendedor ORDER BY nombres ASC";
			$res_umed = mysql_query($sql_umed,$enlace);
			$contb=0;
			?>
              <select name="lstvendedor" id="lstvendedor" style="width:192px;visibility:hidden">
			  <option value="0" selected="selected">SELECCIONE VENDEDOR</option>
			  <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $contb, "id");
				$sql_umed_nom = mysql_result($res_umed, $contb, "descripcion");
			?>
                <option value="<?=$sql_umed_cod?>"><? echo $sql_umed_nom." (".$sql_umed_cod.")";?></option>
			<?
				$contb = $contb+1;
			}
			?>
              </select>		
		</td>
		<td width="30%" align="right"><?
			$sql_umed = "SELECT * FROM zona ORDER BY descripcion";
			$res_umed = mysql_query($sql_umed,$enlace);
			$contb=0;
			?>
              <select name="lstzona" id="lstzona" style="width:192px;visibility:hidden">
			  <option value="0" selected="selected">SELECCIONE ZONA</option>
			  <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $contb, "id");
				$sql_umed_nom = mysql_result($res_umed, $contb, "descripcion");
			?>
                <option value="<?=$sql_umed_cod?>"><? echo $sql_umed_nom;?></option>
			<?
				$contb = $contb+1;
			}
			?>
              </select>		
		</td>
		<td width="30%" align="right"><?
			$sql_umed = "SELECT * FROM bodega WHERE empresa = $id_empresa AND id = $id_bodega ORDER BY descripcion";
			$res_umed = mysql_query($sql_umed,$enlace);
			$contb=0;
			?>
              <select name="lstbodega" id="lstbodega" style="width:192px;visibility:hidden">
			  <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $contb, "id");
				$sql_umed_nom = mysql_result($res_umed, $contb, "descripcion");
			?>
                <option value="<?=$sql_umed_cod?>" selected="selected"><? echo $sql_umed_nom;?></option>
			<?
				$contb = $contb+1;
			}
			?>
              </select>		
		</td>				
		<td width="5%">&nbsp;</td>
    </tr>
</table>

<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="10%">&nbsp;</td>
		<td width="20%"><input name="fecha" type="text" id="fecha" style="border-width:0;" value="<?=$fecha?>" size="7" readonly="1" />
	    <a  href="javascript:show_calendar('form1.fecha');"><img align="top" border="0" src="Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a></td>
		<td width="25%">
		  <input type="button" name="Submit2" value="Crear nuevo Producto" onclick="fun_crea_nuevop();" />
		</td>
		<td width="30%" align="right"><input type="submit" name="Submit" value="Agregar Nueva Linea"/></td>
		
		<td width="5%" align="left"><input type="button" name="salir" id="salir" value="Salir" onClick="fun_salir();" /></td>
		<td width="10%">&nbsp;</td>
    </tr>
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
	  	<td width="28%">&nbsp;</td>
		<td width="20%">&nbsp;</td>
		<td width="5%">&nbsp;</td>
		<td width="27%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">SUB TOTAL  </font></strong></div></td>
		<td width="6%">&nbsp;</td>
	    <td width="14%"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		$<input name="txtsubtotal" type="text" id="txtsubtotal" size="8" readonly="1" style="text-align:right;font-size:18px">
	    </font></strong></td>
    </tr>
	<tr>
		<td width="28%"><input name="txtbol" type="text" size="17" readonly="1" value="BOLETA" border="0" title="PRESIONE PARA BOLETA" style="background-color:#000033;color:#F0F0F0;text-align:center;cursor:pointer;font-size:18px" align="middle" onclick="Boleta(1);" /></td>
		<td width="20%"><input name="menubol1" type="text" size="14" readonly="1" value="hola" border="0" style="background-color:#000033;color:#F0F0F0;text-align:left;cursor:pointer; visibility:hidden;font-size:18px" align="middle" onclick="Boleta(1);" /></td>
		<td width="5%">&nbsp;</td>
		<td width="27%"><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">DESCUENTOS</font></strong></div></td>
		<td width="6%"><div align="right">
		  <font size="1">&nbsp;$&nbsp;</font><input name="radiobutton" type="radio" value="r1" onclick="calcula_total();">
		  <font size="1">&nbsp;%&nbsp;</font><input name="radiobutton" type="radio" value="r2" checked="checked" onclick="calcula_total();">
		</div></td>
		<td width="14%"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			&nbsp;&nbsp;<input name="txtdescuento" type="text" id="txtdescuento" size="8" onblur="calcula_total();" style="text-align:right;font-size:18px">
		</font></strong></td>
    </tr>
	<tr>
      <td><input name="txtcot" type="text" size="17" readonly="1" value="COTIZACION" border="0" title="PRESIONE PARA COTIZAR" style="background-color:#000033;color:#F0F0F0;text-align:center;cursor:pointer;font-size:18px" align="middle" onclick="cotizacion();" /></td>
	  <td><input name="menubol2" type="text" size="14" readonly="1" value="Tarjeta" border="0" style="background-color:#000033;color:#F0F0F0;text-align:left;cursor:pointer; visibility:hidden;font-size:18px" align="middle" onclick="Boleta(2);"/></td>
	  <td>&nbsp;</td>
	  <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">TOTAL </font></strong></div></td>
	  <td>&nbsp;</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	  	$<input name="txttotal" type="text" id="txttotal" size="8" readonly="1" style="text-align:right;font-size:18px">
      </font></strong></td>
    </tr>
	<tr>
      <td><input name="txtnv" type="text" size="17" readonly="1" value="NOTA VENTA" border="0" title="PRESIONE PARA NOTA DE VENTA" style="background-color:#000033;color:#F0F0F0;text-align:center;cursor:pointer;font-size:18px" align="middle" onclick="notaventa();" /></td>
	  <td><input name="menubol3" type="text" size="14" readonly="1" value="Credito" border="0" style="background-color:#000033;color:#F0F0F0;text-align:left;cursor:pointer; visibility:hidden;font-size:18px" align="middle" onclick="Boleta(3);"/></td>
	  <td>&nbsp;</td>
	  <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">PAGADO </font></strong></div></td>
	  <td>&nbsp;</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	  	$<input name="txtpagado" type="text" id="txtpagado" size="8" onblur="vuelto();" style="text-align:right;font-size:18px">
      </font></strong></td>
    </tr>
	<tr>
	  <td><input name="txtfg" type="text" size="17" readonly="1" value="FACTURA, GUIA" border="0" title="PRESIONE PARA FACTURA, GUIA, NC O ND" style="background-color:#000033;color:#F0F0F0;text-align:center;cursor:pointer;font-size:18px" align="middle" onclick="factura();" /></td>
	  <td><input name="menubol4" type="text" size="14" readonly="1" value="Cheque" border="0" style="background-color:#000033;color:#F0F0F0;text-align:left;cursor:pointer; visibility:hidden;font-size:18px" align="middle" onclick="Boleta(4);"/></td>
	  <td>&nbsp;</td>
	  <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">VUELTO</font></strong></div></td>
	  <td>&nbsp;</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	  $<input name="txtvuelto" type="text" id="txtvuelto" size="8" readonly="1" style="text-align:right;font-size:18px" />
      </font></strong></td>
    </tr>
	<tr>
      <td>&nbsp;</td>
	  <td><input name="menubol5" type="text" size="14" readonly="1" value="Red Compra" border="0" style="background-color:#000033;color:#F0F0F0;text-align:left;cursor:pointer; visibility:hidden;font-size:18px" align="middle" onclick="Boleta(5);"/></td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
    </tr>
</table>
  <input name="aux" type="text" id="aux" size="1" style="visibility:hidden"/>
</form>

<script>
	var total, stot, i;
	total=0;	
	for (i=1; i<=<?=$cont?>; i++)
		{
		stot=document.getElementById("total["+i+"]").value;
		if (stot>0)
			{
			total=Number(total) + Number(stot);
			}
		}
	document.form1.txtsubtotal.value=total;
</script>

<script language="Javascript">
<!--
var nav4 = window.Event ? true : false;
	<!-- Ingreso solo letras y espacio -->
function validal(evt){
	var key = nav4 ? evt.which : evt.keyCode;
	return (key <= 13 || (key >= 65 && key <= 90) || (key >= 97 && key <= 122) || (key == 32));
	}
function fun_carga(evt, donde){
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13)
		{
		var cnt=<?=$cont;?>;
		cnt-=1;
		document.form1.action = "venta2.php?cont="+cnt+"&don="+donde;
		document.form1.target="_self";
		document.form1.submit();
		}
		
	return (key >= 0 && key <= 900) ;
	}
function valida(evt){
	var key = nav4 ? evt.which : evt.keyCode;
	return (key <= 13 || (key >= 48 && key <= 57) || (key == 46));
	}
function validanum(evt, cant){
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) calculo(cant);
	return (key < 13 || (key >= 48 && key <= 57));
	}
function validanum2(evt, cant){
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) calculo(cant);
	return (key < 13 || (key >= 48 && key <= 57) || key==46);
	}
function Number_Format(a, b, c, d) 
	{
	a = Math.round(a * Math.pow(10, b)) / Math.pow(10, b);
	e = a + '';
 	f = e.split('.');
 	if (!f[0]) 
		{
  		f[0] = '0';
 		}
	if (!f[1]) 
		{
		f[1] = '';
		}
	if (f[1].length < b) 
		{
		g = f[1];
		for (i=f[1].length + 1; i <= b; i++) 
  			{
			g += '0';
  			}
		f[1] = g;
		}
	if(d != '' && f[0].length > 3) 
		{
  		h = f[0];
		f[0] = '';
		for(j = 3; j < h.length; j+=3) 
			{
			i = h.slice(h.length - j, h.length - j + 3);
			f[0] = d + i +  f[0] + '';
  			}
		j = h.substr(0, (h.length % 3 == 0) ? 3 : (h.length % 3));
  		f[0] = j + f[0];
 		}
 	c = (b <= 0) ? '' : c;
 	return f[0] + c + f[1];
	}
function junta_producto()
	{
	var jsbol_i,jsbol_j;
//	for (jsbol_i=1;jsbol_i<<?=$cant?>;jsbol_i++)
//		{
//		for (jsbol_j=(jsbol_i+1);jsbol_j<<?=$cant?>;jsbol_j++)
//			{
//			if (document.getElementById("codigo["+jsbol_i+"]").value==document.getElementById("codigo["+jsbol_j+"]").value)
//				{
//				if (document.getElementById("codigo["+jsbol_i+"]").value!='')
//					{
//					document.getElementById("cantidad["+jsbol_i+"]").value=Number(document.getElementById("cantidad["+jsbol_i+"]").value)+Number(document.getElementById("cantidad["+jsbol_j+"]").value);
//					document.getElementById("cantidad["+jsbol_j+"]").value='';
//					document.getElementById("codigo["+jsbol_j+"]").value='';
//					document.getElementById("precio["+jsbol_j+"]").value='';
//					document.getElementById("detalle["+jsbol_j+"]").value='';
//					document.getElementById("total["+jsbol_j+"]").value='';
//					}
//				}
//			}
//			calculo(jsbol_i);
//		}
		fun_descuento();
	}
function PopWindow(cant)
	{
	window.open('busqueda.php?id='+cant,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
function cotizacion()
	{

		if (document.form1.txtsubtotal.value!=0)
			{
			junta_producto();
			calcula_total();
			form1.action="cotizacion.php?cnt=<?=$cont?>";
			document.form1.target="_parent";
			window.location="venta2.php?cont=8";
			form1.submit();
			}
		else
			{
			alert('Debe ingresar al menos un producto');
			}
	}
function notaventa()
	{
	var jsi,jscnt,jscont, jscant, jsflag;
		jscont=0;
		jscant=0;
		jsflag=0;
		jscnt=<?=$cont?>;
		for (jsi=1;jsi<jscnt;jsi++)
			{
			if (document.getElementById("cantidad["+jsi+"]").readOnly==true){
				jscont+=1;
				}
			}
		for (jsi=1;jsi<jscnt;jsi++)
			{
			if (document.getElementById("cantidad["+jsi+"]").value!=''){
				jscant+=1;
				}
			}
		if (jscont>1) jsflag=1;
		if (jscont==1&&jscont!=jscant) jsflag=1;
		if (jsflag==0){
			if (document.form1.txtsubtotal.value!=0)
				{
				junta_producto();
				calcula_total();
				form1.action="nota-venta.php?cnt=<?=$cont?>";
				document.form1.target="_parent";
				window.location="venta2.php?cont=8";
				form1.submit();
				}
			else
				{
				alert('Debe ingresar al menos un producto');
				}		
			}
		else
			{
			alert('Solo se admite un producto seriado');
			}
	}
function factura()
	{
	var jsi,jscnt,jscont, jscant, jsflag;
		jscont=0;
		jscant=0;
		jsflag=0;
		jscnt=<?=$cont?>;
		for (jsi=1;jsi<jscnt;jsi++)
			{
			if (document.getElementById("cantidad["+jsi+"]").readOnly==true){
				jscont+=1;
				}
			}
		for (jsi=1;jsi<jscnt;jsi++)
			{
			if (document.getElementById("cantidad["+jsi+"]").value!=''){
				jscant+=1;
				}
			}
		if (jscont>1) jsflag=1;
		if (jscont==1&&jscont!=jscant) jsflag=1;
		if (jsflag==0){
			if (document.form1.txtsubtotal.value!=0)
				{
				junta_producto();
				calcula_total();
				form1.action="factura-guia.php?cnt=<?=$cont?>";
				document.form1.target="_parent";
				window.location="venta2.php?cont=8";
				form1.submit();
				}
			else
				{
				alert('Debe ingresar al menos un producto');
				}		
			}
		else
			{
			alert('Solo se admite un producto seriado por factura');
			}
	}
function calcula_total()
	{
	var descuento, result, letra, tot;
	result="";
	tot="";
	descuento=document.form1.txtdescuento.value;
	for (i=0;i<descuento.length;i++)
		{
		letra=descuento.charAt(i);
		if(letra==",")
			{
			result +=".";
			}
		else if(letra!="1" && letra!="2" && letra!="3" && letra!="4" && letra!="5" && letra!="6" && letra!="7" && letra!="8" && letra!="9" && letra!="0"&& letra!=".")
			{
			result +="";
			}
		else
			{
    	result += descuento.charAt(i);
			}
		}

	document.form1.txtdescuento.value=Number(result);
	var subtotal = Number(document.form1.txtsubtotal.value);
	if(document.form1.txtdescuento.value=='') descuento=0;
	else descuento=document.form1.txtdescuento.value;
	
	if (descuento>=0)
		{
		if (document.form1.radiobutton[0].checked)
			{
			
			subtotal=subtotal*0.1;
			if (Number(descuento) < Number(subtotal))
				{
				document.form1.txttotal.value=Number(document.form1.txtsubtotal.value)-Number(descuento);
				}
			else
				{
				alert("Descuento Mayor al 10%");
				document.form1.txtdescuento.value=0;
				document.form1.txttotal.value=document.form1.txtsubtotal.value;
				}
			}
		else
			{
			if(descuento>10)
				{
				alert("Descuento Mayor al 10%");
				document.form1.txtdescuento.value=0;
				document.form1.txttotal.value=document.form1.txtsubtotal.value;
				}
			else
				{

				var desc;
				desc = parseInt(Number(document.form1.txtsubtotal.value)*(Number(descuento)/100));
				document.form1.txttotal.value=Number(document.form1.txtsubtotal.value)-Number(desc);
				}
			}
		}
	}
function vuelto()
	{
	if(Number(document.form1.txtpagado.value)>0)
		{
		if (Number(document.form1.txtpagado.value)>=Number(document.form1.txttotal.value))
			{
			document.form1.txtvuelto.value=Number(document.form1.txtpagado.value)-Number(document.form1.txttotal.value);
			}
		else
			{
			alert("Ingreso un monto menor al total");
			document.form1.txtpagado.value="";
			document.form1.txtpagado.focus();
			}
		}
	}
function calculo(donde)
	{
	var cantidad, precio, total, stot, i, totaluno, totaltot, j, f1, f2, letra, result,jsi, jsuser;
	jsuser = '<?=$usuario;?>';
	precio = document.getElementById("precio["+donde+"]").value;
	if ((Number(document.getElementById("auxsaldo["+donde+"]").value)<Number(document.getElementById("cantidad["+donde+"]").value))&&(jsuser!='admin'))
		{
		alert("La cantidad ingresada es mayor al saldo existente\n Saldo: "+document.getElementById("auxsaldo["+donde+"]").value);
		document.getElementById("cantidad["+donde+"]").value=document.getElementById("auxsaldo["+donde+"]").value;
		
		}
	cantidad = document.getElementById("cantidad["+donde+"]").value;	
	if (cantidad==0 ) cantidad='';
	
	if (cantidad!='')
		{
			totaltot=document.getElementById("cantidad["+donde+"]").value;
		f1=0;
		f2=0;
		result='';
		for (jsi=0;jsi<totaltot.length;jsi++)
			{
			
			letra=totaltot.charAt(jsi);
			if (letra==".")
				{
				if (f1==0 && jsi!=0)
					{ 
					result +="."; f1=1; 
					}
				else 
					{ 
					result +=""; 
					}
				}
			else
				{
				if(f2<2) result += totaltot.charAt(jsi);
				if  (f1!=0) f2+=1;
				}
			}		
	document.getElementById("cantidad["+donde+"]").value=Number(result);
	cantidad = document.getElementById("cantidad["+donde+"]").value;
		
		
		
		if (cantidad >= 0 && precio >0)
			{
			document.getElementById("total["+donde+"]").value=Number(cantidad)*Number(precio);
	
				result = document.getElementById("total["+donde+"]").value;	
				var valor_actual = result.split(".");
				var entero1 = Number(valor_actual[0]);
				var decimal1 = valor_actual[1];	
				if (decimal1==undefined) decimal1='11';
				decimal1=decimal1.charAt(0);
				if (decimal1>=5) entero1+=1;
				total = entero1;
				document.getElementById("total["+donde+"]").value=total;
	
	
	
			total=0;	
			for (i=1; i<=<?=$cont?>; i++)
				{
				stot=document.getElementById("total["+i+"]").value;
				if (stot>0)
					{
					total=Number(total) + Number(stot);
					}
				}
				document.form1.txtsubtotal.value=total;
			calcula_total();
			}
		else
			{
			document.getElementById("codigo["+donde+"]").focus();
			}
			
		}
	else
		{
		if (document.getElementById("codigo["+donde+"]").value!='')
			{
			var answer = confirm ("żDebe Ingresar cantidad? \n(Si elige cancelar debera ingresar el producto denuevo)");
			if (answer)
				{
				document.getElementById("cantidad["+donde+"]").focus();
				}
			else
				{
				document.getElementById("codigo["+donde+"]").value='';
				document.getElementById("detalle["+donde+"]").value='';
				document.getElementById("precio["+donde+"]").value='';
				document.getElementById("total["+donde+"]").value='';
				document.getElementById("auxsaldo["+donde+"]").value='9999999999';
				total=0;	
				for (i=1; i<=<?=$cont?>; i++)
					{
					stot=document.getElementById("total["+i+"]").value;
					if (stot>0)
						{
						total=Number(total) + Number(stot);
						}
					}
				document.form1.txtsubtotal.value=total;
				document.getElementById("cantidad["+donde+"]").focus();
				}
			}
		}
		
		
		
	}
function busc_prod(donde)
	{
	var jsbp_codigo, flag, fser, jsuser;
	jsuser = '<?=$usuario;?>';
	if (document.getElementById("codigo["+donde+"]").value!='')
		{
		flag=0;
		jsbp_codigo=document.getElementById("codigo["+donde+"]").value;
		<?
		$jsbp_sql = mysql_query("SELECT * FROM productos WHERE empresa = $id_empresa;", $enlace);
		$jsbp_cont=0;
		while ( mysql_fetch_object ($jsbp_sql) )
			{
			$jsbp_sql_codigo = mysql_result($jsbp_sql, $jsbp_cont, "codigo");
			
			?>
			if (jsbp_codigo == '<?php echo $jsbp_sql_codigo;?>')
				{
				<?
				$jsbp_sql_precio = mysql_result($jsbp_sql, $jsbp_cont, "precio");
				$jsbp_sql_descripcion = mysql_result($jsbp_sql, $jsbp_cont, "descripcion");
				$jsbp_sql_saldo = mysql_result($jsbp_sql, $jsbp_cont, "saldo");
				$jsbp_sql_seriado = mysql_result($jsbp_sql, $jsbp_cont, "producto_seriado_param");
				if (($jsbp_sql_saldo>0)||($usuario=='admin'))
					{
					?>
					if ('<?php echo $jsbp_sql_seriado;?>'==1){
					document.getElementById("cantidad["+donde+"]").value='1';
					document.getElementById("cantidad["+donde+"]").readOnly = 1;
					fser=1;
					
					}
					else{
						document.getElementById("cantidad["+donde+"]").readOnly = false;
					}
					document.getElementById("precio["+donde+"]").value='<?=$jsbp_sql_precio?>';
					document.getElementById("detalle["+donde+"]").value='<?=$jsbp_sql_descripcion?>';
					document.getElementById("auxsaldo["+donde+"]").value='<?=$jsbp_sql_saldo?>';
					flag=1;
					<?
					}
				else
					{
					?>
					alert("No hay saldo disponible\n Saldo = "+'<?=$jsbp_sql_saldo?>');
					document.getElementById("codigo["+donde+"]").value='';
					document.getElementById("precio["+donde+"]").value='';
					document.getElementById("detalle["+donde+"]").value='';
					document.getElementById("auxsaldo["+donde+"]").value='9999999999';
					flag=1;
					<?
					}
					?>
				}
			<?
			$jsbp_cont=$jsbp_cont+1;
			}
			?>
		if (flag == 0)
			{
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
			document.getElementById("auxsaldo["+donde+"]").value='9999999999';
			var answer = confirm ("No Existe el Producto!\n żDesea crearlo?");
			if (answer)
				{
				window.open('editar_producto.php?cp=0','TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
				}
			else
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			}
		else
			{
			if (document.getElementById("cantidad["+donde+"]").value==''){
			document.getElementById("cantidad["+donde+"]").focus();
			}else{
				if (fser==1){
					document.getElementById("detalle["+donde+"]").focus();
					}
				calculo(donde);
				}
			}
		}
	else
		{
		if (document.getElementById("cantidad["+donde+"]").value=='')
			{
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
			document.getElementById("auxsaldo["+donde+"]").value='9999999999';
			}
		else
			{
			
			
			var answer = confirm ("żDebe Ingresar Codigo? \n(Si elige cancelar debera ingresar el producto denuevo)");
			if (answer)
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			else
				{
				document.getElementById("cantidad["+donde+"]").readOnly=false;
				document.getElementById("codigo["+donde+"]").value='';
				document.getElementById("auxsaldo["+donde+"]").value='9999999999';
				document.getElementById("detalle["+donde+"]").value='';
				document.getElementById("precio["+donde+"]").value='';
				document.getElementById("total["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").focus();
				total=0;	
				for (i=1; i<=<?=$cont?>; i++)
					{
					stot=document.getElementById("total["+i+"]").value;
					if (stot>0)
						{
						total=Number(total) + Number(stot);
						}
					}
				document.form1.txtsubtotal.value=total;
				document.getElementById("cantidad["+donde+"]").focus();
				
				}
			}
		}	
	}	
function menu()
	{
	if (document.form1.menubol1.value=='hola')
		{
		document.form1.menubol1.value='Contado';
		document.form1.menubol1.style.visibility="visible";
		document.form1.menubol2.style.visibility="visible";
		document.form1.menubol3.style.visibility="visible";
		document.form1.menubol4.style.visibility="visible";
		document.form1.menubol5.style.visibility="visible";
		document.form1.txtcot.size="14";
		document.form1.txtnv.size="14";
		document.form1.txtfg.size="14";
		}
	else
		{
		document.form1.menubol1.value='hola';
		document.form1.menubol1.style.visibility="hidden";
		document.form1.menubol2.style.visibility="hidden";
		document.form1.menubol3.style.visibility="hidden";
		document.form1.menubol4.style.visibility="hidden";
		document.form1.menubol5.style.visibility="hidden";
		document.form1.txtcot.size="17";
		document.form1.txtnv.size="17";
		document.form1.txtfg.size="17";
		}
	}
function Boleta(tipo)
	{
	var jsi,jscnt,jscont, jscant, jsflag;
		jscont=0;
		jscnt=<?=$cont?>;
		for (jsi=1;jsi<jscnt;jsi++)
			{
			if (document.getElementById("cantidad["+jsi+"]").readOnly==true){
				jscont+=1;
				}
			}
	
		if (jscont==0){
			if (document.form1.txtsubtotal.value!=0)
				{
				junta_producto();
				calcula_total();
				if (tipo==1) document.form1.action="boleta.php?cnt=<?=$cont?>";
				if (tipo==2) document.form1.action="boleta.php?cnt=<?=$cont?>"; 
				if (tipo==3) document.form1.action="boleta.php?cnt=<?=$cont?>";
				if (tipo==4) document.form1.action="boleta.php?cnt=<?=$cont?>";
				if (tipo==5) document.form1.action="boleta.php?cnt=<?=$cont?>";
				document.form1.target="_parent";
				window.location="venta2.php?cont=8";
				document.form1.submit();
				
				}
			else
				{
				
				alert('Debe ingresar al menos un producto');
				}
			}
		else
			{
			alert('No se admiten seriados en boletas');	
			}
	}
function fun_descuento()
	{
	var total,i,j,cant1, codigo1, descrip1, precio1, total1, cnt;
	total = <?=$cant;?>;
	total-=1;
	for (i=1;i<=total;i++){
		for (j=1;j<=(total-1);j++){
			cnt=(j+1);
			if ( Number(document.getElementById("total["+j+"]").value) > Number(document.getElementById("total["+cnt+"]").value))
				{
					cant1=document.getElementById("cantidad["+cnt+"]").value;
					codigo1=document.getElementById("codigo["+cnt+"]").value;
					descrip1=document.getElementById("detalle["+cnt+"]").value;
					precio1=document.getElementById("precio["+cnt+"]").value;
					total1=document.getElementById("total["+cnt+"]").value;
					document.getElementById("cantidad["+cnt+"]").value=document.getElementById("cantidad["+j+"]").value;
					document.getElementById("codigo["+cnt+"]").value=document.getElementById("codigo["+j+"]").value;
					document.getElementById("detalle["+cnt+"]").value=document.getElementById("detalle["+j+"]").value;
					document.getElementById("precio["+cnt+"]").value=document.getElementById("precio["+j+"]").value;
					document.getElementById("total["+cnt+"]").value=document.getElementById("total["+j+"]").value;
					document.getElementById("cantidad["+j+"]").value=cant1;
					document.getElementById("codigo["+j+"]").value=codigo1;
					document.getElementById("detalle["+j+"]").value=descrip1;
					document.getElementById("precio["+j+"]").value=precio1;
					document.getElementById("total["+j+"]").value=total1;
				}
			}
		}
	}
function fun_salir()
	{
	window.top.open('','_parent','');window.top.close();
	}
function recarga()
	{
	var cnt=<?=$cont;?>;
	cnt-=1;
	document.form1.action = "venta2.php?cont="+cnt;
	document.form1.target="_self";
	document.form1.submit();
	}
function fun_crea_nuevop()
	{
	window.open('editar_producto.php?cp=0','TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
	
	var donc='<?=$donde_c?>';
	document.getElementById("cantidad["+donc+"]").focus();

</script>


